## org.eclipse.m2m.atl.core
Interface IExtractor

All Known Implementing Classes:
  ASMExtractor, AtlParser, EMFExtractor

    public interface IExtractor

The IExtractor interface defines a way to serialize a given IModel.

Method Summary
`void` `extract(IModel sourceModel, java.io.OutputStream target, java.util.Map<java.lang.String,java.lang.Object> options)` Extracts an IModel using the given options.
`void` `extract(IModel sourceModel, java.lang.String target)` Extracts an IModel using default options.
`void` `extract(IModel sourceModel, java.lang.String target, java.util.Map<java.lang.String,java.lang.Object> options)` Extracts an IModel using the given options.

Method Detail

### extract

    void extract(IModel sourceModel,
                 java.lang.String target)
                 throws ATLCoreException

  Extracts an IModel using default options.

  Parameters:
    `sourceModel` - the IModel to extract
    `target` - the target indication to extract the targetModel
  Throws:
    `ATLCoreException`

### extract

    void extract(IModel sourceModel,
                 java.lang.String target,
                 java.util.Map<java.lang.String,java.lang.Object> options)
                 throws ATLCoreException

  Extracts an IModel using the given options.

  Parameters:
    `sourceModel` - the IModel to extract
    `target` - the target indication to extract the targetModel
    `options` - the extraction parameters
  Throws:
    `ATLCoreException`

### extract

    void extract(IModel sourceModel,
                 java.io.OutputStream target,
                 java.util.Map<java.lang.String,java.lang.Object> options)
                 throws ATLCoreException

  Extracts an IModel using the given options.

  Parameters:
    `sourceModel` - the IModel to extract
    `target` - the `OutputStream` where to extract the targetModel
    `options` - the extraction parameters
  Throws:
    `ATLCoreException`

Copyright 2007 IBM Corporation and others. All Rights Reserved.